# ColoredTextOutput Class Reference
[MetaConfiguration's base classes]

Inheritance diagram for ColoredTextOutput:
[legend]

List of all members.

## Public Member Functions

| setMode ($attribute=ConsoleMode::ATTR_RESET_ALL, $foreground=ConsoleMode::FG_WHITE, $background=ConsoleMode::BG_BLACK)
| resetAll ()

## Detailed Description

Definition at line 15 of file ColoredTextOutput.class.php.

## Member Function Documentation

ColoredTextOutput::resetAll | ( |  | ) |

Returns:
  ColoredTextOutput

Reimplemented from TextOutput.

Definition at line 38 of file ColoredTextOutput.class.php.

ColoredTextOutput::setMode | ( | $ | attribute = `ConsoleMode::ATTR_RESET_ALL`,
|  | $ | foreground = `ConsoleMode::FG_WHITE`,
|  | $ | background = `ConsoleMode::BG_BLACK` |
| ) |  |  |

Returns:
  ColoredTextOutput

Reimplemented from TextOutput.

Definition at line 20 of file ColoredTextOutput.class.php.

The documentation for this class was generated from the following file:

- meta/classes/ColoredTextOutput.class.php